Subject: Re: [PATCH] skye/skge: sparse fix - data can't ever be bigger than LONG_MAX / HZ

From: "Kok, Auke" <[email-masked]>
Date: Fri, 26 Oct 2007 15:15:25 -0700

Stephen Hemminger wrote:
> On Fri, 26 Oct 2007 15:10:28 -0700
> Auke Kok <[email-masked]> wrote:
> 
>> Trivial replacement - use INT_MAX instead here.
>>
>> Signed-off-by: Auke Kok <[email-masked]>
>> Cc: [email-masked]
> 
> Acked-by: Stephen Hemminger <[email-masked]>
> 
> Sure that works. Note: original code was copied from e100 which I assume
> is why you found/fixed this case.

I went over your sparse fixes and decided to fix that last warning that you had
not fixed. I thought I might as well fix those poor drivers that copied our
bad-ass code ;)

still testing the code you sent me though... hopefully not much longer.

Auke